> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create multiple tasks via CSV upload

> Upload a CSV file to create multiple tasks. The CSV must include a header row. Recognized columns include type, target, context, taskContext, greeting, waitToGreet, accountId, scheduledFor, message, and externalTaskId.



## OpenAPI

````yaml post /api/v2/tasks/csv
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/tasks/csv:
    post:
      tags:
        - Tasks
      summary: Create multiple tasks via CSV upload
      description: >-
        Upload a CSV file to create multiple tasks. The CSV must include a
        header row. Recognized columns include type, target, context,
        taskContext, greeting, waitToGreet, accountId, scheduledFor, message,
        and externalTaskId.
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - csv
              properties:
                csv:
                  type: string
                  format: binary
                  description: CSV file
                dryRun:
                  type: boolean
                  description: Validate only; do not enqueue jobs
            encoding:
              csv:
                contentType: text/csv
      responses:
        '200':
          description: Tasks queued
        '400':
          description: Invalid CSV or missing required fields
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '500':
          description: Internal Server Error

````